Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_POSIX_Asynch_Accept_Handler Class Reference

`#include <POSIX_Asynch_IO.h>`

Inheritance diagram for ACE_POSIX_Asynch_Accept_Handler

[legend]
Collaboration diagram for ACE_POSIX_Asynch_Accept_Handler:

[legend]
List of all members.

## Public Methods
| ~ACE_POSIX_Asynch_Accept_Handler (void)
| ACE_POSIX_Asynch_Accept_Handler (ACE_Reactor* reactor, ACE_POSIX_Proactor *posix_proactor)
int | cancel_uncompleted (int flg_notify)
int | register_accept_call (ACE_POSIX_Asynch_Accept_Result* result)
ACE_POSIX_Asynch_Accept_Result* | deregister_accept_call (void)
int | handle_input (ACE_HANDLE fd = ACE_INVALID_HANDLE)
| Called when input events occur (e.g., connection or data).
## Protected Attributes
ACE_Reactor* | reactor_
ACE_POSIX_Proactor* | posix_proactor_
ACE_Unbounded_Queue<ACE_POSIX_Asynch_Accept_Result*> | result_queue_
ACE_SYNCH_MUTEX | lock_

## Detailed Description

Forward declaration. This class is defined the in the cpp file, since this is internal to the implementation.

## Constructor & Destructor Documentation

ACE_POSIX_Asynch_Accept_Handler::~ACE_POSIX_Asynch_Accept_Handler ( | void )

ACE_POSIX_Asynch_Accept_Handler::ACE_POSIX_Asynch_Accept_Handler ( | ACE_Reactor * reactor,
| ACE_POSIX_Proactor * posix_proactor )

## Member Function Documentation

int ACE_POSIX_Asynch_Accept_Handler::cancel_uncompleted ( | int flg_notify )

ACE_POSIX_Asynch_Accept_Result * ACE_POSIX_Asynch_Accept_Handler::deregister_accept_call ( | void )

int ACE_POSIX_Asynch_Accept_Handler::handle_input ( | ACE_HANDLE fd = ACE_INVALID_HANDLE )`[virtual]`

| Called when input events occur (e.g., connection or data). Reimplemented from ACE_Event_Handler.

int ACE_POSIX_Asynch_Accept_Handler::register_accept_call ( | ACE_POSIX_Asynch_Accept_Result * result )

## Member Data Documentation

ACE_SYNCH_MUTEX ACE_POSIX_Asynch_Accept_Handler::lock_`[protected]`

ACE_POSIX_Proactor * ACE_POSIX_Asynch_Accept_Handler::posix_proactor_`[protected]`

ACE_Reactor * ACE_POSIX_Asynch_Accept_Handler::reactor_`[protected]`

| Reimplemented from ACE_Event_Handler.

ACE_Unbounded_Queue< ACE_POSIX_Asynch_Accept_Result *> ACE_POSIX_Asynch_Accept_Handler::result_queue_`[protected]`

The documentation for this class was generated from the following file:

- POSIX_Asynch_IO.cpp